List the saved state versions of an instance (tenant:settings:read)
GET /api/workflow/v1/tasks/{instanceId}/versions
Module: Workflow · operationId: listInstanceVersions · Tag: Instances · Auth: access token (Authorization: Bearer <accessToken>)
Every save of an instance is kept as a revision; newest first.
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
instanceId |
path | string (uuid) | yes | Instance id (guid) |
Responses
- 200 Versions (
application/json) - 401 Missing or invalid token (
unauthorized) (application/json) - 403 Error (
application/json) - 404 Error (
application/json) - 500 Error (
application/json)
Fields of the 200 answer:
items(array of StateVersion, required): Items of the listname(string): AlwaysState Versiontimestamp(string (date-time)): When the revision was savedversionId(string): The revision number
total(integer): Number of items
Example 200 answer:
{
"items": [
{
"name": "State Version",
"timestamp": "2026-11-17T09:05:40Z",
"versionId": "2"
},
{
"name": "State Version",
"timestamp": "2026-11-17T08:41:12Z",
"versionId": "1"
}
],
"total": 2
}
Example request
curl -X GET 'https://api.mbcom.cloud/api/workflow/v1/tasks/3f9c2a1e-8b7d-4c6e-a5f4-1d2b3c4e5f60/versions' \
-H "Authorization: Bearer $ACCESS_TOKEN"